/**
 * 人工系数数据模型
 *
 * @author CaiAoLin
 * @date 2017/9/11
 * @version
 */
import mongoose from "mongoose";

let Schema = mongoose.Schema;
let collectionName = 'std_labour_coes';
let coesSchema = new Schema({
    // 自增id
    ID: Number,
    // 父级id
    ParentID: Number,
    // 名称
    name: String,
    // 系数
    coe: Number
});
let modelSchema = {
    // 自增id
    ID: Number,
    // 所在地
    region: String,
    // 标准名称
    libName: String,
    // 人工系数数据
    coes: [coesSchema]
};

let model = mongoose.model(collectionName, new Schema(modelSchema, {versionKey: false, collection: collectionName}));
export {model as default, collectionName as collectionName};
